DeleteType
curl --request DELETE \
--url https://developer.synq.io/api/entities/custom/v1/types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"typeId": 500
}'import requests
url = "https://developer.synq.io/api/entities/custom/v1/types"
payload = { "typeId": 500 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({typeId: 500})
};
fetch('https://developer.synq.io/api/entities/custom/v1/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}synq.entities.custom.v1.TypesService
DeleteType
Delete an entity by its identifier. If the entity does not exist, it will be a no-op.
DELETE
/
api
/
entities
/
custom
/
v1
/
types
DeleteType
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Identifier of the custom entity type to delete.
Required range:
1 <= x <= 1000Response
200 - application/json
Success
The response is of type DeleteTypeResponse · object.
⌘I